# PSF-LoginServer - master - net.psforever.objects.ce.DeployedItem
PSF - LoginServer - master - net.psforever.objects.ce.DeployedItem
Keywords: PSF LoginServer master net.psforever.objects.ce.DeployedItem

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package ce
  Definition Classes
    objects
- BaseDeployable
- Deployable
- DeployableBehavior
- DeployableCategory
- DeployedItem
- InteractWithMines
- TelepadControl
- TelepadLike

o

net.psforever.objects.ce

# DeployedItem

###

#### object DeployedItem extends Enumeration

Source
  DeployedItem.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DeployedItem
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Type = Value
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
5.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def apply(x: Int): Value
   Definition Classes
     Enumeration
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  final val boomer: Value
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  final val deployable_shield_generator: Value
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final val he_mine: Value
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final val jammer_mine: Value
21.  final def maxId: Int
    Definition Classes
      Enumeration
22.  final val motionalarmsensor: Value
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
25.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final val portable_manned_turret: Value
29.  final val portable_manned_turret_nc: Value
30.  final val portable_manned_turret_tr: Value
31.  final val portable_manned_turret_vs: Value
32.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
33.  final val router_telepad_deployable: Value
34.  final val sensor_shield: Value
35.  final val spitfire_aa: Value
36.  final val spitfire_cloaked: Value
37.  final val spitfire_turret: Value
38.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
39.  final val tank_traps: Value
40.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
41.  def values: ValueSet
    Definition Classes
      Enumeration
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
45.  final def withName(s: String): Value
    Definition Classes
      Enumeration
46.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped